=== debian/changelog ===
hyprland-plugins (0.52.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1118695)

 -- Carl Keinath <carl.keinath@gmail.com>  Wed, 19 Nov 2025 09:32:01 +0100
