=== debian/changelog ===
hyprland-plugins (0.53.0-1) unstable; urgency=medium

  * New upstream version 0.53.0
  * Drop upstreamed patches

 -- Chow Loong Jin <hyperair@debian.org>  Thu, 19 Feb 2026 10:41:23 +0800
