=== debian/control ===
Source: hyprland-plugins
Section: x11
Priority: optional
Maintainer: Debian Hyprland Maintainers <team+hyprland@tracker.debian.org>
Uploaders:
 Carl Keinath <carl.keinath@gmail.com>,
 Chow Loong Jin <hyperair@debian.org>,
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 pkgconf,
 hyprland-dev (>= 0.52),
 libdrm-dev,
 libinput-dev,
 libudev-dev,
 libpango1.0-dev,
 libcairo2-dev,
 libpixman-1-dev,
 libwayland-dev,
 libxkbcommon-dev,
 libhyprgraphics-dev,
 libhyprutils-dev,
 libhyprlang-dev,
 libaquamarine-dev,
 libgles2-mesa-dev,
 libxcb-icccm4-dev,
Standards-Version: 4.7.2
Homepage: https://github.com/hyprwm/hyprland-plugins
Vcs-Browser: https://salsa.debian.org/hyprland-team/hyprland-plugins
Vcs-Git: https://salsa.debian.org/hyprland-team/hyprland-plugins.git

Package: hyprland-plugin-borders-plus-plus
Multi-Arch: same
Architecture: any
Depends: ${hyprland:ABI}, ${shlibs:Depends}, ${misc:Depends}
Description: Hyprland plugin adding static extra window borders
 Extends Hyprland window decoration handling by adding one or two fixed outer
 borders to provide additional border layers.

Package: hyprland-plugin-csgo-vulkan-fix
Multi-Arch: same
Architecture: any
Depends: ${hyprland:ABI}, ${shlibs:Depends}, ${misc:Depends}
Description: Hyprland plugin setting custom Vulkan resolutions per application
 Enables running applications at user-defined resolutions independent of native
 display size.

Package: hyprland-plugin-hyprbars
Multi-Arch: same
Architecture: any
Depends: ${hyprland:ABI}, ${shlibs:Depends}, ${misc:Depends}
Description: Hyprland plugin adding configurable title bars to windows
 Implements customizable title bars with button support, color options, and
 window management actions.

Package: hyprland-plugin-hyprexpo
Multi-Arch: same
Architecture: any
Depends: ${hyprland:ABI}, ${shlibs:Depends}, ${misc:Depends}
Description: Hyprland plugin providing an overview workspace switcher
 Displays all workspaces in a grid layout with gesture and keybind control,
 similar to GNOME or KDE overviews.

Package: hyprland-plugin-hyprfocus
Multi-Arch: same
Architecture: any
Depends: ${hyprland:ABI}, ${shlibs:Depends}, ${misc:Depends}
Description: Hyprland plugin for window focus animations
 Adds configurable visual effects that trigger on window focus events, including
 flash, bounce, or slide animations with adjustable parameters.

Package: hyprland-plugin-hyprscrolling
Multi-Arch: same
Architecture: any
Depends: ${hyprland:ABI}, ${shlibs:Depends}, ${misc:Depends}
Description: Hyprland plugin adding a scrolling window layout
 Provides a dynamic horizontal scrolling layout with adjustable column sizes
 and focus behavior.
 .
 Note: This plugin is experimental and under development.

Package: hyprland-plugin-hyprtrails
Multi-Arch: same
Architecture: any
Depends: ${hyprland:ABI}, ${shlibs:Depends}, ${misc:Depends}
Description: Hyprland plugin adding motion trails to windows
 Implements a rendering effect that produces persistent trails during window
 movement or dragging.

Package: hyprland-plugin-hyprwinwrap
Multi-Arch: same
Architecture: any
Depends: ${hyprland:ABI}, ${shlibs:Depends}, ${misc:Depends}
Description: Hyprland plugin emulating xwinwrap
 Allows embedding applications as animated or interactive wallpapers with
 configurable window size and position.

Package: hyprland-plugin-xtra-dispatchers
Multi-Arch: same
Architecture: any
Depends: ${hyprland:ABI}, ${shlibs:Depends}, ${misc:Depends}
Description: Hyprland plugin with additional dispatcher commands
 Adds extra commands and scripting hooks to Hyprland’s IPC, allowing
 automation and control beyond the core dispatcher API.
