=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_gencontrol:
	. /usr/lib/$(DEB_HOST_MULTIARCH)/hyprland/debian-abi-helper && \
	dh_gencontrol -- \
		"-Vhyprland:ABI=$${HYPRLAND_ABI}" \
		"-Vhyprland:API=$${HYPRLAND_API}"
